Set Up Proactive Follow-Up - Cognigy Documentation
Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
POST
/ v2.0 /projects /{projectId} /settings /proactive /setup
Try it
Set Up Proactive Follow-Up
cURL
curl --request POST \
--url https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/settings/proactive/setup \
--header 'X-API-Key: <api-key>'
import requests
url = "https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/settings/proactive/setup"
headers = {"X-API-Key": "<api-key>"}
response = requests.post(url, headers=headers)
print(response.text)
const options = {method: 'POST', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api-trial.cognigy.ai/new/v2.0/projects/{projectId}/settings/proactive/setup', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


Response Codes:
- 202
- 400
- 401
- 402
- 403
- 404
- 405
- 409
- 413
- 500
- 501
- 502
- 503
- 504
Example Response Structure:
{
"_id": "<string>",
"status": "<string>",
"type": "<string>",
"progress": 123
}
Error Response Examples:
{
"type": "Bad Request",
"title": "Bad Request Error",
"status": 400,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Unauthorized",
"title": "Unauthorized Error",
"status": 401,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 401,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Payment Required",
"title": "Payment Required Error",
"status": 402,
"detail": "Validation failed. Missing payload.",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 402,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Forbidden",
"title": "Forbidden Error",
"status": 403,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {}
}
{
"type": "Not Found",
"title": "Not Found Error",
"status": 404,
"detail": "<string>",
"instance": "/v2.0/flows/5ce7c2d833ea1e04d7e6c432",
"code": 1000,
"traceId": "api--f84324f4-98eb-4f02-abdd-375a2e6c3c1f",
"details": {},
"logLevel": "error"
}
Authorizations
| Parameter Name | Type | Location | Required | Description |
|---|---|---|---|---|
| X-API-Key | string | header | required | Supply the API Key in the HTTP-Header |
Headers
| Header Name | Type | Description |
|---|---|---|
| Accept | enum |
The Accept header specifies the media type the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json. |
Path Parameters
| Parameter Name | Type | Required | Description |
|---|---|---|---|
| projectId | string | required | The unique identifier for the Project. Required string length: 24, Pattern: ^[a-z0-9]{24}$ |
Response
202
{
"_id": "<string>",
"status": "<string>",
"type": "<string>",
"progress": 123
}